import java.io.*;
import javax.microedition.io.*;
import nl.tue.id.mgps.*;

GPS gps;
GPSRecord r;

PFont font;

void setup(){
  font = loadFont(FACE_SYSTEM, STYLE_PLAIN, SIZE_SMALL);
  textFont(font);
  gps = new GPS(this);
  // ip address and port number can be changed:
  // gps = new GPS(this, "127.0.0.1", 20175); 
  gps.start();

}

void draw(){
  background(0);
  r = gps.getRecord();
  if(r!=null){
    text("courseMadeGood    : " + r.courseMadeGood, 0, 20);
    text("dateTimeOfFix     : " + r.dateTimeOfFix, 0, 40);
    text("groundSpeed       : " + r.groundSpeed, 0, 60);
    text("lattitude         : " + r.lattitude, 0, 80);
    text("lattitudeDirection: " + r.lattitudeDirection, 0, 100);
    text("longitude         : " + r.longitude, 0, 120);
    text("longitudeDirection: " + r.longitudeDirection, 0, 140);
    text("magneticVariation : " + r.magneticVariation, 0, 160);
    text("quality           : " + r.quality, 0, 180);
    text("satelliteCount    : " + r.satelliteCount, 0, 200);
    text("warning           : " + r.warning, 0, 220);
  }
  
  //if there is anything wrong, it will be logged.
  text(gps.getLog(), 0, 240, width, height-240);
}


